/***************************************************************************
                        errordialog.h  -  description
                             -------------------
    project              : GTagger
    version              : 0.1
    begin                : Sun Jan 10 2002
    lastchange           : Sun Jan 27 2002
    copyright            : (C) 2003 by Marcel Karras
    email                : toka@freebits.de
    homepage             : http://www.freebits.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef __ERRORDIALOG_H
#define __ERRORDIALOG_H
#include <gtkmm/messagedialog.h>

/**
 * objects of this class display a MessageDialog with an error message
 */

class ErrorDialog : public Gtk::MessageDialog
{
  public:  
    /**
     * Constructor
     * @param message - error message to be displayed
     */
    ErrorDialog(const Glib::ustring& message);
    /**
     * Default Destructor
     */
    virtual ~ErrorDialog();
};

#endif
